%define module_name             thinkpad
%define module_version          5.8
%define module_release          alt2

%define kversion                2.4.29
%define krelease                alt1
%define flavour                 rt-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.1

Summary: IBM ThinkPad SMAPI BIOS drivers
License: GPL
Group: System/Kernel and hardware
URL: http://tpctl.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Drivers for IBM System Management Application Program Interface
(SMAPI) BIOS found in some IBM ThinkPad laptop computers.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%__ln_s 2.4/drivers thinkpad/drivers
%__ln_s 2.4/include thinkpad/include

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%makeinstall MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

%__install -D -m644 thinkpad/man/thinkpad.4 %buildroot%_man4dir/thinkpad.4

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%_docdir/%name-%version-%release
%_man4dir/*

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 5.8-alt2.1
- Rebuild for kernel 2.4.28.

* Thu Oct 14 2004 Grigory Batalov <bga@altlinux.ru> 5.8-alt1.1
- 5.8

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 5.0-alt3.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 5.0-alt2.1
- Rebuild for kernel 2.4.26.

* Wed Mar 31 2004 Grigory Batalov <bga@altlinux.ru> 5.0-alt1.1
- 5.0

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 4.8-alt3.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.8-alt2.1
- Imported to kernel CVS.
- Spec file adaptation for CVS build conventions.
- Removed superfluous %%doc from %%files.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sat Dec 06 2003 Grigory Batalov <bga@altlinux.ru> 4.8-alt1.12
- Initial release
